APIs related to integrating Dev Ops Components affected by Incident data with Jira Software.
These APIs are available to Atlassian Connect apps. To use these APIs you must have the jiraDevOpsComponentProvider in your Connect app's descriptor. See https://developer.atlassian.com/cloud/jira/software/modules/devops-components/.
Update / insert DevOps Component data.
Components are identified by their ID, and existing Component data for the same ID will be replaced if it exists and the updateSequenceNumber of existing data is less than the incoming data.
Submissions are performed asynchronously. Submitted data will eventually be available in Jira; most updates are available within a short period of time, but may take some time during peak load and/or maintenance times. The getComponentById operation can be used to confirm that data has been stored successfully (if needed).
In the case of multiple Components being submitted in one request, each is validated individually prior to submission. Details of which Components failed submission (if any) are available in the response object.
A maximum of 1000 components can be submitted in one request.
Only Connect apps that define the jiraDevOpsComponentProvider module can access this resource.
This resource requires the 'WRITE' scope for Connect apps.
Forge and OAuth2 apps cannot access this REST resource.
Connect app scope required: WRITE
string
RequiredDevOps Component data to submit.
Properties
array<Component>
RequiredProviderMetadata
Submission accepted. Each submitted Component that is of a valid format will be eventually available in Jira. Details of which Components were submitted and which failed submission (due to data format problems etc.) are available in the response object.
The result of a successful submitDevopsComponents request.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
curl --request POST \
--url 'https://your-domain.atlassian.net/rest/devopscomponents/1.0/bulk' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"properties": {
"accountId": "account-234",
"projectId": "project-123"
},
"devopsComponents": [
{
"schemaVersion": "1.0",
"id": "111-222-333",
"updateSequenceNumber": 1523494301448,
"name": "Galactus",
"providerName": "Marvel",
"description": "<string>",
"url": "https://example.com/project/MS/galactus/summary",
"avatarUrl": "https://example.com/project/MS/galactus/logo",
"tier": "Tier 1",
"componentType": "Service",
"lastUpdated": "2018-01-20T23:27:25.000Z"
}
],
"providerMetadata": {
"product": "Atlassian Operations Platform 2.1.0"
}
}'1
2
3
4
5
6
7
8
9
10
{
"acceptedComponents": [
"111-222-333",
"444-555-666"
],
"failedComponents": {},
"unknownProjectKeys": [
"PROJ"
]
}Bulk delete all Components that match the given request.
One or more query params must be supplied to specify Properties to delete by. If more than one Property is provided, data will be deleted that matches ALL of the Properties (e.g. treated as an AND). See the documentation for the submitComponents operation for more details.
e.g. DELETE /bulkByProperties?accountId=account-123&createdBy=user-456
Deletion is performed asynchronously. The getComponentById operation can be used to confirm that data has been deleted successfully (if needed).
Only Connect apps that define the jiraDevOpsComponentProvider module can access this resource.
This resource requires the 'DELETE' scope for Connect apps.
Forge and OAuth2 apps cannot access this REST resource.
Connect app scope required: DELETE
string
RequiredDelete accepted. Data will eventually be removed from Jira.
1
2
curl --request DELETE \
--url 'https://your-domain.atlassian.net/rest/devopscomponents/1.0/bulkByProperties'Retrieve the currently stored Component data for the given ID.
The result will be what is currently stored, ignoring any pending updates or deletes.
Only Connect apps that define the jiraDevOpsComponentProvider module can access this resource.
This resource requires the 'READ' scope for Connect apps.
Forge and OAuth2 apps cannot access this REST resource.
Connect app scope required: READ
string
Requiredstring
RequiredThe Component data currently stored for the given ID.
Data related to a specific component in a specific workspace that is affected by incidents.
1
2
3
curl --request GET \
--url 'https://your-domain.atlassian.net/rest/devopscomponents/1.0/devopscomponents/{componentId}' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
{
"schemaVersion": "1.0",
"id": "111-222-333",
"updateSequenceNumber": 1523494301448,
"name": "Galactus",
"providerName": "Marvel",
"description": "<string>",
"url": "https://example.com/project/MS/galactus/summary",
"avatarUrl": "https://example.com/project/MS/galactus/logo",
"tier": "Tier 1",
"componentType": "Service",
"lastUpdated": "2018-01-20T23:27:25.000Z"
}Delete the Component data currently stored for the given ID.
Deletion is performed asynchronously. The getComponentById operation can be used to confirm that data has been deleted successfully (if needed).
Only Connect apps that define the jiraDevOpsComponentProvider module can access this resource.
This resource requires the 'DELETE' scope for Connect apps.
Forge and OAuth2 apps cannot access this REST resource.
Connect app scope required: DELETE
string
Requiredstring
RequiredDelete has been accepted. Data will eventually be removed from Jira if it exists.
1
2
curl --request DELETE \
--url 'https://your-domain.atlassian.net/rest/devopscomponents/1.0/devopscomponents/{componentId}'Rate this page: